/* stream.h
 * - encoding and broadcasting functions
 *
 * Copyright (c) 2003 Juho Vh-Herttua <juhovh@iki.fi>
 *
 * This program is distributed under the terms of the GNU General
 * Public License, version 2. You may use, modify, and redistribute
 * it under the terms of this license. A copy should be included
 * with this source.
 */

#ifndef __STREAM_H
#define __STREAM_H

#include <ogg/ogg.h>
#include <vorbis/codec.h>
#include <shout/shout.h>
#include "oggcaster.h"

void *encodingThread(void *threadarg);
void stream_initialise(oc_state_info *state);
void stream_queue(oc_state_info *state, gfloat **buffer, gint buflen);
void stream_flush(buffer_queue *queue);
gint shout_initialise(shout_t *shout, oc_stream_info *stream);

#endif
